Pave Bank
Webhook

Get Webhook URL

Retrieve the current webhook URL configuration for the authenticated client. Available in sandbox and development environments only.

GET
/v1/webhook/url

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Response Body

Success response

webhook_nameRequiredstring

The name of the webhook/client credential

webhook_urlRequiredstring

The current webhook URL endpoint set

legal_entity_idRequiredstring

The legal entity ID associated with this webhook

created_atRequiredstring

Timestamp when the webhook was created

Format: "date-time"
updated_atRequiredstring

Timestamp when the webhook was last updated

Format: "date-time"
curl -X GET "https://developer-api-staging.pavebank.dev/v1/webhook/url" \
  -H "Authorization: Bearer <token>"
{
  "webhook_name": "string",
  "webhook_url": "string",
  "legal_entity_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}